Kerbal Space Program - Bug #4133

Exception error: ProtoPartSnapshot.. ctor: 1
02/24/2015 03:31 AM - thejustbacon

Status: Closed Start date: 02/24/2015
Severity: Very Low % Done: 100%
Assignee:

Category: Application

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

The only way | know this is because | installed a mod called ExceptionDetector so | could see what's going on with my game.

| receive the error any time | click Resume Game, and it prevents me from doing so. | can start a new one, or load a scenario, but |
can't resume a game. Obviously this is gamebreaking and would very much like to find out how to fix it.

| do have some mods installed, not many.

History

#1 - 02/24/2015 10:55 AM - thejustbacon
- File KSP.log added

Added log file. Would like some insight.

#2 - 02/24/2015 03:25 PM - hfbs

1, always best to replicate the bug on stock installs before reporting
2, the output_log.txt is more helpful than the KSP.log

3, the error in the KSP log is truncated and incomplete, but..

4, right before the NRE, an entry of "No ROSTER node found in save state" is created. Your savefile is corrupt and is either missing the ROSTER
section entirely, or has mismatched braces. Have you manually edited the savefile at all? If so, did you double check for errors?

#3 - 03/03/2015 10:10 AM - RexKramer
- Status changed from New to Need More Info

- Severity changed from High to Very Low

As hfbs suggested, if you can replicate on an un-modded install, grab the output_log.txt file and post.

#4 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 07/17/2016 09:32 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#6 - 08/09/2016 01:14 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.
http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
